# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TI16Column

Packages that use TI16Column
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TI16Column in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TI16Column
Modifier and Type
Class
Description
`class`
`TI16Column`
`class`
`TI16Column`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TI16Column
Modifier and Type
Method
Description
`TI16Column`
TI16Column.`deepCopy()`
`TI16Column`
TColumn.`getI16Val()`
`TI16Column`
TI16Column.`setNulls(byte[] nulls)`
`TI16Column`
TI16Column.`setNulls(ByteBuffer nulls)`
`TI16Column`
TI16Column.`setValues(List<Short> values)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI16Column
Modifier and Type
Method
Description
`int`
TI16Column.`compareTo(TI16Column other)`
`boolean`
TI16Column.`equals(TI16Column that)`
`static TColumn`
TColumn.`i16Val(TI16Column value)`
`void`
TColumn.`setI16Val(TI16Column value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI16Column
Modifier
Constructor
Description
``
`TI16Column(TI16Column other)`
Performs a deep copy on other.